From 1be1c11a33b87612dd2b768f3cdf43b11c1ecdc9 Mon Sep 17 00:00:00 2001
From: Brad Howes <bradhowes@mac.com>
Date: Sun, 21 Jan 2024 10:07:24 +0100
Subject: [PATCH] Downcase host name to match URL parsing behavior

---
 lisp/ansi-osc.el | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/lisp/ansi-osc.el b/lisp/ansi-osc.el
index 7e686193f69..8dbaeb45132 100644
--- a/lisp/ansi-osc.el
+++ b/lisp/ansi-osc.el
@@ -121,7 +121,8 @@ ansi-osc-directory-tracker
   (let ((url (url-generic-parse-url text)))
     (when (and (string= (url-type url) "file")
                (or (null (url-host url))
-                   (string= (url-host url) (system-name))))
+                   ;; Use `downcase' to match `url-generic-parse-url' behavior
+                   (string= (url-host url) (downcase (system-name)))))
       (ignore-errors
         (cd-absolute (url-unhex-string (url-filename url)))))))
 
-- 
2.39.3 (Apple Git-145)

